%global npmname yui3

%global _use_internal_dependency_generator 0
%global __find_provides /bin/sh -c 'sed -n "s,.*/\\.npm/\\([^\\/]*\\)\\/\\([^/]*\\.[^/]*\\)/.*,nodejs(\\1) = \\2,p" |sort |uniq'
%global __find_requires /bin/sh -c 'sed -n "s,.*/dependson/\\([^@\\/]*\\)@\\([^@/]\\.[^@/]*\\)$,nodejs(\\1) = \\2,p" |sort |uniq'

Name:           nodejs-%{npmname}
Version:        0.5.17
Release:        2%{?dist}
Summary:        YUI 3 Library on NodeJS

Group:          Development/Libraries
License:        BSD
URL:            http://developer.yahoo.com/yui/3/
Source0:        http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  nodejs-connect >= 0.2.4
BuildRequires:  nodejs-express >= 1.0.0
BuildRequires:  nodejs-htmlparser >= 1.6.2
BuildRequires:  nodejs-jsdom >= 0.1.19
BuildRequires:  nodejs-yui3-core >= 2010.11.03
BuildRequires:  nodejs-npm
Requires:       nodejs-npm

BuildArch:      noarch

%description
YUI 3 is Yahoo!'s next-generation JavaScript and CSS library.


%prep
%setup -q -n nodejs-%{npmname}


%build
mkdir -p .%{_prefix}/lib/node/.npm
cp -a %{_prefix}/lib/node/.npm/* \
        .%{_prefix}/lib/node/.npm

npm_config_root=.%{_prefix}/lib/node \
npm_config_binroot=.%{_bindir} \
npm_config_manroot=.%{_mandir} \
npm install %{SOURCE0}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/node/.npm/%{npmname}
cp -a $PWD%{_prefix}/lib/node/%{npmname}{,@%{version}} \
        $RPM_BUILD_ROOT%{_prefix}/lib/node
cp -a $PWD%{_prefix}/lib/node/.npm/%{npmname}/{%{version},active} \
        $RPM_BUILD_ROOT%{_prefix}/lib/node/.npm/%{npmname}

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p usr/bin/yui3docs $RPM_BUILD_ROOT%{_bindir}
install -p usr/bin/yui3docs@%{version} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_prefix}/lib/node/%{npmname}
%{_prefix}/lib/node/%{npmname}@%{version}
%{_prefix}/lib/node/.npm/%{npmname}
%{_bindir}/yui3docs
%{_bindir}/yui3docs@%{version}
%doc LICENSE


%changelog
* Mon Jan 31 2011 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.5.17-2
- Added automatic dependencies
- Only package currently build version

* Fri Dec 17 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.5.17-1
- Initial packaging
